Dancer::Logger::File(3pm)

NAME
Dancer::Logger::File - file-based logging engine for Dancer

VERSION
version 1.3522

SYNOPSIS

DESCRIPTION
This is a file-based logging engine that allows you to save your logs to files on disk.

METHODS

  init
This method is called when "->new()" is called. It initializes the log directory, creates if it doesn't already exist and opens the designated log file.

  logdir
Returns the log directory, decided by "logs" either in "appdir" setting. It's also possible to specify a logs directory with the log_path option.

  setting log_path => $dir;

  _log
Writes the log message to the file.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.